## open-infrastructure-system-images 20161101

=== Makefile ===
# Makefile

## live-images(7) - System Image Configurations
## Copyright (C) 2006-2014 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = images/*/auto/* images/*/config/hooks/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be obtained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing image configurations
	mkdir -p $(DESTDIR)/usr/share/live
	cp -a images $(DESTDIR)/usr/share/live

	# Installing shared data
	for IMAGE in $(DESTDIR)/usr/share/live/images/*; do cp VERSION $${IMAGE}/docs; done

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-images
	cp -r COPYING $(DESTDIR)/usr/share/doc/live-images

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uninstalling image configs
	rm -rf $(DESTDIR)/usr/share/live/images
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-images
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== manpages/Makefile ===
# Makefile

## live-config(7) - System Configuration Scripts
## Copyright (C) 2006-2014 Daniel Baumann <mail@daniel-baumann.ch>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: check po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be obtained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --copyright-holder "Live Systems Project" --keep 0 --package-name live-images --package-version $(shell cat ../VERSION) po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

check:
	@echo -n "Checking the integrity of .po files "

	@if [ -x /usr/bin/msgfmt ]; \
	then \
		for POFILE in po/*/*; \
		do \
			msgfmt --check --output-file=/dev/null $${POFILE}; \
			echo -n "."; \
		done; \
	else \
		echo "WARNING: skipping po integrity check. You must install gettext."; \
	fi
	
	@echo " done!"

## open-infrastructure-system-images 20160701

=== debian/changelog ===
open-infrastructure-system-images (20160701-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160701.
  * Adding gpg verification to watch file.
  * Updating upstream git location.
  * Updating vcs fields.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 28 Jul 2016 15:46:31 +0200

open-infrastructure-system-images (20160601-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160601.
  * Adding provides system-images.
  * Wrap and sorting control file.
  * Updating homepage field.
  * Switching to debhelper compat 10.
  * Adding watch file.
  * Making bootloader symlinks absolute to resolve within chroot, thanks
    to Ben Armstrong <synrg@debian.org>.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Jun 2016 15:26:31 +0200

open-infrastructure-system-images (20160501-1) unstable; urgency=low

  * Initial upload to sid (Closes: #816416).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 May 2016 08:11:35 +0200

=== debian/control ===
Source: open-infrastructure-system-images
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9.20160402~),
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/system-images
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images

Package: open-infrastructure-system-images
Architecture: all
Depends:
 open-infrastructure-system-build (>= 20160501),
 ${misc:Depends},
Recommends:
 live-manual-html | live-manual,
Conflicts:
 live-image-gnome-desktop,
 live-image-standard,
 live-images,
Replaces:
 live-image-gnome-desktop,
 live-image-standard,
 live-images,
Provides:
 system-images,
Description: System Image Build Tool Configuration Directories
 system-images contains the configuration directories for system-build to
 build live system images.

## open-infrastructure-system-images 20161101-lts2

=== debian/changelog ===
open-infrastructure-system-images (20161101-lts2-2) unstable; urgency=low

  * Uploading to sid.
  * Using consistent email address for all downstream work.
  * Updating email address in copyright file.
  * Adding note about distribution to previous changelog entry.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 18:05:51 +0100

open-infrastructure-system-images (20161101-lts2-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101-lts2:
    - Fixes FTBFS with sh set to bash (Closes: #843045).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 16 Nov 2016 09:21:23 +0100

open-infrastructure-system-images (20161101-lts1-1) unstable; urgency=high

  * Uploading to sid.
  * Merging version 20161101-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 16:29:10 +0100

open-infrastructure-system-images (20161101-1) unstable; urgency=high

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2016 16:24:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: open-infrastructure-system-images
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
- debhelper (>= 9.20160402~),
+ debhelper (>= 10),
 Standards-Version: 3.9.8
 Homepage: https://open-infrastructure.net/software/system-images
 Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel

override_dh_auto_install:
	dh_auto_install

	# Using gnome-desktop and standard only
	rm -rf debian/*/usr/share/live/images/cinnamon-desktop
	rm -rf debian/*/usr/share/live/images/kde-desktop
	rm -rf debian/*/usr/share/live/images/mate-desktop
	rm -rf debian/*/usr/share/live/images/xfce-desktop
	rm -rf debian/*/usr/share/live/images/lxde-desktop

	# Removing unused files
	rm -rf debian/*/usr/share/doc/live-images

override_dh_compress:
	dh_compress -Xusr/share/live/images

override_dh_link:
	dh_link

	for DIRECTORY in debian/*/usr/share/live/images/*; \
	do \
		IMAGE="$$(basename $${DIRECTORY})"; \
		rm -rf debian/*/usr/share/live/images/$${IMAGE}/config/bootloaders; \
		cp -a images/$${IMAGE}/config/bootloaders debian/open-infrastructure-system-images/usr/share/live/images/$${IMAGE}/config/bootloaders; \
	done

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/system-images/upstream/system-images-(.+)\.tar\.xz

## open-infrastructure-system-images 20161115

=== debian/changelog ===
open-infrastructure-system-images (20161115-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161115.
  * Updating depends on open-infrastructure-system-build.
  * Removing live-manual recommends.
  * Removing live-manual conflicts and replaces.
  * Updating upstream contact in copyright file.
  * Updating build-depends for building manpages with asciidoc.
  * Removing obsolete entries in copyright file.
  * Updating rules for rearranged upstream files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Nov 2016 07:43:01 +0100

=== debian/control ===
Source: open-infrastructure-system-images
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 asciidoc,
 debhelper (>= 10),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc,
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/system-images
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-system-images

Package: open-infrastructure-system-images
Architecture: all
Depends:
 open-infrastructure-system-build (>= 20161115),
 ${misc:Depends},
Provides:
 system-images,
Description: System Image Build Tool Configuration Directories
 system-images contains the configuration directories for system-build to
 build live system images.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install

	rm -f debian/open-infrastructure-system-images/usr/share/doc/system-images/CHANGELOG.txt
	rm -f debian/open-infrastructure-system-images/usr/share/doc/system-images/LICENSE.txt

	mv debian/open-infrastructure-system-images/usr/share/doc/system-images debian/open-infrastructure-system-images/usr/share/doc/open-infrastructure-system-images

override_dh_compress:
	dh_compress -Xusr/share/system-images

override_dh_link:
	dh_link

	for DIRECTORY in debian/*/usr/share/system-images/*; \
	do \
		IMAGE="$$(basename $${DIRECTORY})"; \
		rm -rf debian/open-infrastructure-system-images/usr/share/system-images/$${IMAGE}/config/bootloaders; \
		cp -a share/images/$${IMAGE}/config/bootloaders debian/open-infrastructure-system-images/usr/share/system-images/$${IMAGE}/config/bootloaders; \
	done
